%define modname extras

Summary: Issabel Extras
Name:    issabel-%{modname}
Version: 4.0.0
Release: 2
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires(pre): issabel-framework >= 4.0.0-1

Obsoletes: elastix-extras

%description
Issabel Extras

%prep
%setup -n %{name}_%{version}-%{release}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Issabel modules
mkdir -p                   $RPM_BUILD_ROOT/var/www/html/
mv modules/                $RPM_BUILD_ROOT/var/www/html/

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p                   $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
mv setup/                  $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/
mv menu.xml                $RPM_BUILD_ROOT/usr/share/issabel/module_installer/%{name}-%{version}-%{release}/

%post

# Run installer script to fix up ACLs and add module to Issabel menus.
issabel-menumerge /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/menu.xml

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/issabel/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php

rm -rf /tmp/new_module

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -eq 0 ] ; then # Validation for desinstall this rpm
  echo "Delete Extras menus"
  issabel-menuremove "%{modname}"
fi

%files
%defattr(-, root, root)
%{_localstatedir}/www/html/*
/usr/share/issabel/module_installer/*

%changelog
* Tue Jul 11 2017 Nicolas Gudino
- (32440f2) Load external API directly from jit.si to keep it always current (HEAD, origin/master, master)

* Sun Jul 9 2017 Nicolas Gudino
- (77711b6) Update help text

* Thu Jul 6 2017 Nicolas Gudino
- (dcb42b5) Remove js debug

* Thu Jul 6 2017 Nicolas Gudino
- (fa0e950) Update language strings. Todo: actual translations

* Thu Jul 6 2017 Nicolas Gudino
- (e1c212e) Add Issabel Meet module and menu

* Sun Jun 11 2017 Nicolas Gudino
- (6efdd2b) Upudate attribution comments leaving original copyright and GPL license in place

* Sun Jun 11 2017 Nicolas Gudino
- (93fd26f) Upudate attribution comments leaving original copyright and GPL license in place

* Sun Jun 11 2017 Nicolas Gudino
- (e5b3585) Upudate attribution comments leaving original copyright and GPL license in place

* Sat Jun 10 2017 Nicolas Gudino
- (a42f0d2) Rebranding

* Fri Jun 2 2017 Nicolas Gudino
- (ff7b096) Fix rpm dependencies

* Fri Jun 2 2017 Nicolas Gudino
- (6f7447d) Add build directory for scripted RPM packaging from git

* Wed May 31 2017 Nicolas Gudino
- (6d659da) first commit

